# Changelog

## [2.1.0](https://github.com/netlify/sdk/compare/create-sdk-v2.0.2...create-sdk-v2.1.0) (2024-09-11)


### Features

* **create-sdk:** make Vite bail when default port is unavailable ([#1688](https://github.com/netlify/sdk/issues/1688)) ([47a87e6](https://github.com/netlify/sdk/commit/47a87e6c160befa4aca8478ec3a771d2ee258fb9))


### Bug Fixes

* **sdk,create-sdk:** fix issues when generating extension without UI ([#1687](https://github.com/netlify/sdk/issues/1687)) ([2ff1dcd](https://github.com/netlify/sdk/commit/2ff1dcd5b69eeee8ac1af6800387302f0586d744))

## [2.0.2](https://github.com/netlify/sdk/compare/create-sdk-v2.0.1...create-sdk-v2.0.2) (2024-09-10)


### Bug Fixes

* gracefully exit SDK ([#1682](https://github.com/netlify/sdk/issues/1682)) ([d25b1c5](https://github.com/netlify/sdk/commit/d25b1c5d7858a9e26b45f7d6208f3c7d40027c7e))
* make uiMigration work ([#1672](https://github.com/netlify/sdk/issues/1672)) ([020959b](https://github.com/netlify/sdk/commit/020959b8a10cc0a9ea9cffce9ee8be20d6066461))

## [2.0.1](https://github.com/netlify/sdk/compare/create-sdk-v2.0.0...create-sdk-v2.0.1) (2024-09-05)


### Bug Fixes

* **create-sdk:** add missing example data fields for connectors ([#1648](https://github.com/netlify/sdk/issues/1648)) ([f082638](https://github.com/netlify/sdk/commit/f082638d4e3ba979d95472760fff4888681323fa))

## [2.0.0](https://github.com/netlify/sdk/compare/create-sdk-v1.8.7...create-sdk-v2.0.0) (2024-09-03)


### ⚠ BREAKING CHANGES

* release sdk v2

### Features

* release sdk v2 ([f25ed05](https://github.com/netlify/sdk/commit/f25ed0596bd8dc7566821c06a86e8431d7131acc))

## [1.8.7](https://github.com/netlify/sdk/compare/create-sdk-v1.8.6...create-sdk-v1.8.7) (2024-08-08)


### Bug Fixes

* **create-sdk:** add rootDir to create-sdk tsconfig to fix published package ([#1520](https://github.com/netlify/sdk/issues/1520)) ([6f18a96](https://github.com/netlify/sdk/commit/6f18a96590c1c804197b40fc96435e780addd99c))

## [1.8.6](https://github.com/netlify/sdk/compare/create-sdk-v1.8.5...create-sdk-v1.8.6) (2024-08-06)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^12.2.3 ([#1510](https://github.com/netlify/sdk/issues/1510)) ([7da0d67](https://github.com/netlify/sdk/commit/7da0d67cd2cee1b08d043cf285c1c60ae4801f1a))

## [1.8.5](https://github.com/netlify/sdk/compare/create-sdk-v1.8.4...create-sdk-v1.8.5) (2024-07-12)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^12.2.2 ([#1459](https://github.com/netlify/sdk/issues/1459)) ([8206f22](https://github.com/netlify/sdk/commit/8206f22594651f20d9bdd30a7557fb199e84fe8d))

## [1.8.4](https://github.com/netlify/sdk/compare/create-sdk-v1.8.3...create-sdk-v1.8.4) (2024-07-11)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^12.2.1 ([#1447](https://github.com/netlify/sdk/issues/1447)) ([dee647c](https://github.com/netlify/sdk/commit/dee647c7633d31520afc2d6f5b44020136440396))

## [1.8.3](https://github.com/netlify/sdk/compare/create-sdk-v1.8.2...create-sdk-v1.8.3) (2024-07-05)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^12.2.0 ([#1433](https://github.com/netlify/sdk/issues/1433)) ([73787c4](https://github.com/netlify/sdk/commit/73787c47b86b90685a7a252526abb362192a6ae1))

## [1.8.2](https://github.com/netlify/sdk/compare/create-sdk-v1.8.1...create-sdk-v1.8.2) (2024-07-04)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^12.1.0 ([#1425](https://github.com/netlify/sdk/issues/1425)) ([0296cef](https://github.com/netlify/sdk/commit/0296cefc865525c53cb3be4fe8aa0de21f5f74cf))
* **deps:** update dependency @netlify/edge-bundler to ^12.1.1 ([#1427](https://github.com/netlify/sdk/issues/1427)) ([cc6d654](https://github.com/netlify/sdk/commit/cc6d654e843426306278ce8dda9cf0cb368d697b))

## [1.8.1](https://github.com/netlify/sdk/compare/create-sdk-v1.8.0...create-sdk-v1.8.1) (2024-05-15)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^12.0.1 ([#1316](https://github.com/netlify/sdk/issues/1316)) ([13de004](https://github.com/netlify/sdk/commit/13de004ed3375f84a482c752277e1751948cb735))

## [1.8.0](https://github.com/netlify/sdk/compare/create-sdk-v1.7.2...create-sdk-v1.8.0) (2024-05-02)


### Features

* **connectors:** deprecate old public APIs and add new docs ([#1199](https://github.com/netlify/sdk/issues/1199)) ([897d5a6](https://github.com/netlify/sdk/commit/897d5a67b8da1e493b5d0b7f964922f3b6b72f04))

## [1.7.2](https://github.com/netlify/sdk/compare/create-sdk-v1.7.1...create-sdk-v1.7.2) (2024-04-24)


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^11.4.0 ([#1248](https://github.com/netlify/sdk/issues/1248)) ([5efedf2](https://github.com/netlify/sdk/commit/5efedf2c192e8fd3c0179ea2c81bc2603a2340ba))
* **deps:** update dependency @netlify/edge-bundler to v12 ([#1249](https://github.com/netlify/sdk/issues/1249)) ([3747525](https://github.com/netlify/sdk/commit/37475257c24ee786b9db8ef23f27cda9e55fe50d))

## [1.7.1](https://github.com/netlify/sdk/compare/create-sdk-v1.7.0...create-sdk-v1.7.1) (2024-04-10)


### Bug Fixes

* change prefix for sf injection template ([#1176](https://github.com/netlify/sdk/issues/1176)) ([953e841](https://github.com/netlify/sdk/commit/953e8415b392b25488b5dc99be57700eaa255b5d))

## [1.7.0](https://github.com/netlify/sdk/compare/create-sdk-v1.6.0...create-sdk-v1.7.0) (2024-04-03)


### Features

* copy serverless functions to the user's site ([#1110](https://github.com/netlify/sdk/issues/1110)) ([2ce579e](https://github.com/netlify/sdk/commit/2ce579edf4448ffc27be1e30b2c302d636be07a6))

## [1.6.0](https://github.com/netlify/sdk/compare/create-sdk-v1.5.0...create-sdk-v1.6.0) (2024-04-02)


### Features

* ensure CLI is installed before user follows create prompts ([#1149](https://github.com/netlify/sdk/issues/1149)) ([42e62bf](https://github.com/netlify/sdk/commit/42e62bf8e29e64ff7986ff09228e53806445c9e0))
* show directory after integration has been created ([#1136](https://github.com/netlify/sdk/issues/1136)) ([68f0414](https://github.com/netlify/sdk/commit/68f0414938aeb198d4ae3aaef2492a75a22ddb4f))

## [1.5.0](https://github.com/netlify/sdk/compare/create-sdk-v1.4.5...create-sdk-v1.5.0) (2024-03-08)


### Features

* add edge function injection functionality ([#954](https://github.com/netlify/sdk/issues/954)) ([e9cc1a6](https://github.com/netlify/sdk/commit/e9cc1a65c77c19db0661f1cd50add34d5fd67c96))


### Bug Fixes

* **deps:** update dependency @netlify/edge-bundler to ^11.3.0 ([#1048](https://github.com/netlify/sdk/issues/1048)) ([9147a5a](https://github.com/netlify/sdk/commit/9147a5acdb655fb9ed6f44d80a6e16c7c9dec9e6))

## [1.4.5](https://github.com/netlify/sdk/compare/create-sdk-v1.4.4...create-sdk-v1.4.5) (2024-03-07)


### Bug Fixes

* remove enableConnector and enableBuildEventHandler from docs and from boilerplate ([#1040](https://github.com/netlify/sdk/issues/1040)) ([e5da361](https://github.com/netlify/sdk/commit/e5da361178acebaa4cb9c5544720b61e1228df47))

## [1.4.4](https://github.com/netlify/sdk/compare/create-sdk-v1.4.3...create-sdk-v1.4.4) (2024-03-01)


### Bug Fixes

* add a none option to boilerplate selection for create-sdk and prefill integrationLevel and permissions when having chosen build event handler or connector boilerplate ([#1013](https://github.com/netlify/sdk/issues/1013)) ([2a272a4](https://github.com/netlify/sdk/commit/2a272a4f6fac6aae38d9208a2c1e97bd90e3a051))
* integration level selection with and without boilerplate ([#1023](https://github.com/netlify/sdk/issues/1023)) ([e02dbfa](https://github.com/netlify/sdk/commit/e02dbfac700fe9a2faf4494f43c2ffab39d445c5))
* local run of SDK init using local bin ([#1018](https://github.com/netlify/sdk/issues/1018)) ([1555f46](https://github.com/netlify/sdk/commit/1555f46657c0971b68cb1f59f88fdb9bbb195521))
